GET /webhooks/rest/v1/webhooks/{id} REST API Endpoint
Parámetros de ruta
id
cadena
OBLIGATORIO
Cargando...
Devoluciones
id
cadena
Cargando...
fecha_de_creación
cadena
Cargando...
nombre
cadena
Cargando...
red
cadena
Cargando...
notification_email
cadena
Cargando...
destination_attributes
objeto
Cargando...
url
cadena
Cargando...
security_token
cadena
Cargando...
compression
cadena
Cargando...
secuencia
entero
Cargando...
estado
cadena
Cargando...
templateId
cadena
Cargando...
templateArgs
objeto
Cargando...
Solicitud
1curl -X GET \2"https://api.quicknode.com/webhooks/rest/v1/webhooks/YOUR_WEBHOOK_ID" \3-H "accept: application/json" \4-H "x-api-key: YOUR_API_KEY"
1curl -X GET \2"https://api.quicknode.com/webhooks/rest/v1/webhooks/YOUR_WEBHOOK_ID" \3-H "accept: application/json" \4-H "x-api-key: YOUR_API_KEY"
1const axios = require('axios')23const webhookId = 'YOUR_WEBHOOK_ID' // Replace with your actual webhook ID4const url = `https://api.quicknode.com/webhooks/rest/v1/webhooks/${webhookId}`56const encabezados = {7accept: 'application/json',8'x-api-key': 'YOUR_API_KEY', // Replace with your actual API key9}1011axios12.get(url, { headers })13.then(response => {14console.log(response.data)15})16.catch(error => {17console.error('Error:', error.response?.data || error.message)18})19
1const axios = require('axios')23const webhookId = 'YOUR_WEBHOOK_ID' // Replace with your actual webhook ID4const url = `https://api.quicknode.com/webhooks/rest/v1/webhooks/${webhookId}`56const encabezados = {7accept: 'application/json',8'x-api-key': 'YOUR_API_KEY', // Replace with your actual API key9}1011axios12.get(url, { headers })13.then(response => {14console.log(response.data)15})16.catch(error => {17console.error('Error:', error.response?.data || error.message)18})19
1import solicitudes23webhook_id = "YOUR_WEBHOOK_ID" # Replace with your actual webhook ID4url = f"https://api.quicknode.com/webhooks/rest/v1/webhooks/{webhook_id}"56encabezados = {7'accept': 'application/json',8'x-api-key': 'YOUR_API_KEY'9}1011respuesta = solicitudes.solicitud(«GET», url, encabezados=encabezados)1213print(response.text)
1import solicitudes23webhook_id = "YOUR_WEBHOOK_ID" # Replace with your actual webhook ID4url = f"https://api.quicknode.com/webhooks/rest/v1/webhooks/{webhook_id}"56encabezados = {7'accept': 'application/json',8'x-api-key': 'YOUR_API_KEY'9}1011respuesta = solicitudes.solicitud(«GET», url, encabezados=encabezados)1213print(response.text)
1requiere «uri»2require «net/http»34webhook_id = "YOUR_WEBHOOK_ID" # Replace with your actual webhook ID5url = URI("https://api.quicknode.com/webhooks/rest/v1/webhooks/#{webhook_id}")67https = Net::HTTP.nuevo(url.host, url.puerto)8https.use_ssl = true910solicitud = Net::HTTP::Get.nuevo(url)11solicitud[«aceptar»] = "application/json"12solicitud[«x-api-key»] = "TU_CLAVE_API"1314respuesta = https.solicitud(solicitud)15puts response.body
1requiere «uri»2require «net/http»34webhook_id = "YOUR_WEBHOOK_ID" # Replace with your actual webhook ID5url = URI("https://api.quicknode.com/webhooks/rest/v1/webhooks/#{webhook_id}")67https = Net::HTTP.nuevo(url.host, url.puerto)8https.use_ssl = true910solicitud = Net::HTTP::Get.nuevo(url)11solicitud[«aceptar»] = "application/json"12solicitud[«x-api-key»] = "TU_CLAVE_API"1314respuesta = https.solicitud(solicitud)15puts response.body
1qn webhook show {webhook_id} -o json
1qn webhook show {webhook_id} -o json
1import { QuicknodeSdk } desde "@quicknode/sdk"23const qn = new QuicknodeSdk({ apiKey: "YOUR_API_KEY" })45const response = await qn.webhooks.getWebhook("WEBHOOK_ID")6consola.registro(respuesta)7
1import { QuicknodeSdk } desde "@quicknode/sdk"23const qn = new QuicknodeSdk({ apiKey: "YOUR_API_KEY" })45const response = await qn.webhooks.getWebhook("WEBHOOK_ID")6consola.registro(respuesta)7
1import asyncio2de quicknode_sdk import QuicknodeSdk, SdkFullConfig345async def main():6qn = QuicknodeSdk(SdkFullConfig(api_key="TU_CLAVE_API"))7response = await qn.webhooks.get_webhook("WEBHOOK_ID")8imprimir(respuesta)91011asyncio.run(main()))12
1import asyncio2de quicknode_sdk import QuicknodeSdk, SdkFullConfig345async def main():6qn = QuicknodeSdk(SdkFullConfig(api_key="TU_CLAVE_API"))7response = await qn.webhooks.get_webhook("WEBHOOK_ID")8imprimir(respuesta)91011asyncio.run(main()))12
1require «quicknode_sdk»23qn = QuicknodeSdk::SDK.from_config(api_key: "TU_CLAVE_API")45response = qn.webhooks.get_webhook("WEBHOOK_ID")6muestra la respuesta7
1require «quicknode_sdk»23qn = QuicknodeSdk::SDK.from_config(api_key: "TU_CLAVE_API")45response = qn.webhooks.get_webhook("WEBHOOK_ID")6muestra la respuesta7
1use quicknode_sdk::{QuicknodeSdk, SdkFullConfig};23#[tokio::main]4async fn main() -> Result<(), Box<dyn std::error::Error>> {5sea qn = QuicknodeSdk::new(&SdkFullConfig::builder().api_key(«TU_CLAVE_API»).build())?;6let response = qn.webhooks.get_webhook("WEBHOOK_ID").await?;78println!("{:?}", response);9Vale(())10}11
1use quicknode_sdk::{QuicknodeSdk, SdkFullConfig};23#[tokio::main]4async fn main() -> Result<(), Box<dyn std::error::Error>> {5sea qn = QuicknodeSdk::new(&SdkFullConfig::builder().api_key(«TU_CLAVE_API»).build())?;6let response = qn.webhooks.get_webhook("WEBHOOK_ID").await?;78println!("{:?}", response);9Vale(())10}11
¿Aún no tienes una cuenta?
Crea tu punto de conexión de Quicknode en cuestión de segundos y empieza a desarrollar
Empieza gratis